Web lists-archives.com

Re: [PATCH v2 1/2] l10n: Introduce framework for localizing man pages




Junio C Hamano <gitster@xxxxxxxxx> writes:

> Travis seems to have failed.  Perhaps something like this is needed,
> at least?
>
>  .travis.yml | 1 +
>  1 file changed, 1 insertion(+)
>
> diff --git a/.travis.yml b/.travis.yml
> index 591cc57b80..719e5cdb00 100644
> --- a/.travis.yml
> +++ b/.travis.yml
> @@ -20,6 +20,7 @@ addons:
>      - language-pack-is
>      - git-svn
>      - apache2
> +    - po4a
>  
>  env:
>    global:

Here is what I have for now on top of yours in an attempt to make it
work with the public Travis, which is still not working X-<.

  https://travis-ci.org/git/git/jobs/212839039

shows how it breaks, which is somehow different from how it does not
fail on a copy of Ubuntu I seem to be running, even though I seem to
have the same 0.41-1ubuntu1 installed).  

Can you take it over from here?

-- >8 --
Subject: [PATCH] DONTMERGE: (blind trial for travis build)

The update to INSTALL shown here is bogus, but was made only to show
where necessary information to make use of the new feature needs to
be added.

Specifically, the patches by Jean-Noel Avila requires po4a even for
those who do not want localized documentation, and what is described
in INSTALL pretends that this has already been fixed.

Signed-off-by: Junio C Hamano <gitster@xxxxxxxxx>
---
 .travis.yml | 1 +
 INSTALL     | 7 ++++++-
 2 files changed, 7 insertions(+), 1 deletion(-)

diff --git a/.travis.yml b/.travis.yml
index 591cc57b80..d0e1f99161 100644
--- a/.travis.yml
+++ b/.travis.yml
@@ -68,6 +68,7 @@ matrix:
           packages:
           - asciidoc
           - xmlto
+          - po4a
       before_install:
       before_script:
       script: ci/test-documentation.sh
diff --git a/INSTALL b/INSTALL
index ffb071e9f0..acfcd886df 100644
--- a/INSTALL
+++ b/INSTALL
@@ -179,7 +179,12 @@ Issues of note:
 
    All formats require at least asciidoc 8.4.1.
 
-   There are also "make quick-install-doc", "make quick-install-man"
+ - To build and install localized documentation suite, you need to
+   have the po4a package, too.  The build and install steps are the
+   same as outlined above, and the build documentation pages can be
+   accessed by doing "git help <commandname>" in your locale.
+
+ - There are also "make quick-install-doc", "make quick-install-man"
    and "make quick-install-html" which install preformatted man pages
    and html documentation. To use these build targets, you need to
    clone two separate git-htmldocs and git-manpages repositories next
-- 
2.12.0-399-g9d77b0405c